Skip to main content
GET
/
{version}
/
fees
/
gateway
Get Gateway Fees
curl --request GET \
  --url https://api.example.com/{version}/fees/gateway \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "provider_id": 123,
  "operation_type": "<string>",
  "payment_method": "<string>",
  "percentage": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "fixed_fee": 123,
  "fixed_fee_currency": "<string>",
  "effective_from": "2023-11-07T05:31:56Z",
  "effective_to": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
string
required
Allowed value: "v1"

Query Parameters

payment_method
required
Available options:
MTN_MOMO_LBR,
ORANGE_MONEY_LBR,
AIRTEL_RWA,
MTN_MOMO_RWA,
ORANGE_MONEY_RWA
operation_type
enum<string>
required
Available options:
COLLECTION,
PAYOUT,
TRANSFER,
REFUND

Response

Successful Response

FeeWithProviderResponse

id
integer
required
provider_id
integer
required
operation_type
string
required
payment_method
string
required
percentage
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
fixed_fee

Amount

fixed_fee_currency
string | null
Required string length: 3
effective_from
string<date-time> | null
effective_to
string<date-time> | null
Last modified on June 23, 2026